Subject: Re: [bug#27876] [PATCH v2 1/3] cuirass: Store new information in database to prepare new HTTP API integration.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 08 Sep 2017 22:44:17 +0200

Hi!

Mathieu Othacehe <[email-masked]> skribis:

> I pushed this patch and the two following squashed together, as you
> suggested. Note that your recent patch on "db-add-build" seems useless
> now that Builds's primary key is an autoincremented index.
>
> I removed most of your patch during my rebase, is that ok for you ?

The goal of 72f2b6b77cc4e3d7629bdf34e6daee05398b8de1 was to make sure
that, if you add the same build twice, it’ll just work and you won’t get
duplicate entries in the database (although the test only tested that
‘db-add-build’ itself doesn’t throw an exception.)

With an autoincremented index, I suppose we might want to make sure that
‘db-add-build’ does not add a new entry for a build that’s already in
the table.  WDYT?

Thanks!

Ludo’.